SQLite 配置安装简介

在CentOS6.5下将自带的python2.6升级到python2.7,并安装了ipython,启动ipython后显示如下信息:

WARNING: IPython History requires SQLite, your history will not be saved

解决方法如下:

  1. 下载并解压sqlite包,输入命令:
    #wget http://www.sqlite.org/sqlite-autoconf-3071401.tar.gz
    #tar zxvf sqlite-autoconf-3071401.tar.gz
  2. 在sqlite-autoconf-3071401目录下配置、编译、安装,输入命令:
    #./configure –prefix=/usr/local/
    #make
    #make install
  3. 重新编译安装python2.7,输入命令:
    #cd Python-2.7.3
    #./configure
    #make all
    #make install
    #make clean
    #make distclean
  4. 重新启动ipython查看信息
    #ipython

###完成以上步骤之后即可解决上述问题###

参考资料:

1、http://blog.chinaunix.net/uid-22476414-id-3401048.html

2、http://www.hztarena.net/qianrushipeixun/2012/1214/2501.html